## org.hibernate.action
Class EntityIncrementVersionProcess

    java.lang.Object
      org.hibernate.action.EntityIncrementVersionProcess

All Implemented Interfaces:
  BeforeTransactionCompletionProcess

    public class EntityIncrementVersionProcess

extends Object
implements BeforeTransactionCompletionProcess

Verify/Increment the entity version

Author:
  Scott Marlow

Constructor Summary
`EntityIncrementVersionProcess(Object object, EntityEntry entry)`

Method Summary
`void` `doBeforeTransactionCompletion(SessionImplementor session)` Perform whatever processing is encapsulated here before completion of the transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityIncrementVersionProcess

    public EntityIncrementVersionProcess(Object object,
                                         EntityEntry entry)

Method Detail

### doBeforeTransactionCompletion

    public void doBeforeTransactionCompletion(SessionImplementor session)

  Perform whatever processing is encapsulated here before completion of the transaction.

  Specified by:
    `doBeforeTransactionCompletion` in interface `BeforeTransactionCompletionProcess`
  Parameters:
    `session` - The session on which the transaction is preparing to complete.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.